Bug 221173 - textproc/{libmwaw03, libstaroffice, libwps}: fails to update on 10.3
Summary: textproc/{libmwaw03, libstaroffice, libwps}: fails to update on 10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-02 10:46 UTC by Walter Schwarzenfeld
Modified: 2017-08-07 15:33 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
koobs: maintainer-feedback? (ports-secteam)
jkim: merge-quarterly-


Attachments
patch-libmwaw__internal.hxx (575 bytes, text/x-c++hdr)
2017-08-02 10:47 UTC, Walter Schwarzenfeld
no flags Details
patch-libstaroffice__internal.hxx (592 bytes, text/x-c++hdr)
2017-08-02 10:48 UTC, Walter Schwarzenfeld
no flags Details
patch-libwps__internal.h (560 bytes, text/x-chdr)
2017-08-02 10:48 UTC, Walter Schwarzenfeld
no flags Details
patch-libmwaw03__internal_hxx (575 bytes, text/x-c++hdr)
2017-08-02 11:08 UTC, Walter Schwarzenfeld
no flags Details
patch-libstaroffice__internal_hxx (592 bytes, text/x-c++hdr)
2017-08-02 11:08 UTC, Walter Schwarzenfeld
no flags Details
patch-libwps__internal_h (560 bytes, text/x-chdr)
2017-08-02 11:09 UTC, Walter Schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2017-08-02 10:46:25 UTC
The three port fails with the same error in three different
header-files:
error: token is not a valid binary operator in a preprocessor subexpression
#  if defined(__has_cpp_attribute) && __has_cpp_attribute(clang::fallthrough)
Comment 1 Walter Schwarzenfeld freebsd_triage 2017-08-02 10:47:46 UTC
Created attachment 184946 [details]
patch-libmwaw__internal.hxx
Comment 2 Walter Schwarzenfeld freebsd_triage 2017-08-02 10:48:25 UTC
Created attachment 184947 [details]
patch-libstaroffice__internal.hxx
Comment 3 Walter Schwarzenfeld freebsd_triage 2017-08-02 10:48:56 UTC
Created attachment 184948 [details]
patch-libwps__internal.h
Comment 4 Walter Schwarzenfeld freebsd_triage 2017-08-02 11:08:14 UTC
Created attachment 184949 [details]
patch-libmwaw03__internal_hxx
Comment 5 Walter Schwarzenfeld freebsd_triage 2017-08-02 11:08:54 UTC
Created attachment 184950 [details]
patch-libstaroffice__internal_hxx
Comment 6 Walter Schwarzenfeld freebsd_triage 2017-08-02 11:09:34 UTC
Created attachment 184951 [details]
patch-libwps__internal_h
Comment 7 Walter Schwarzenfeld freebsd_triage 2017-08-02 11:10:26 UTC
Only changed the filenames (A underscore instead a point before extension).
Comment 8 commit-hook freebsd_committer 2017-08-02 18:01:35 UTC
A commit references this bug:

Author: jkim
Date: Wed Aug  2 18:00:58 UTC 2017
New revision: 447130
URL: https://svnweb.freebsd.org/changeset/ports/447130

Log:
  Fix build with Clang 3.4.

  PR:		221173

Changes:
  head/textproc/libmwaw03/files/
  head/textproc/libmwaw03/files/patch-src_lib_libmwaw__internal.hxx
Comment 9 commit-hook freebsd_committer 2017-08-02 18:01:38 UTC
A commit references this bug:

Author: jkim
Date: Wed Aug  2 18:01:03 UTC 2017
New revision: 447131
URL: https://svnweb.freebsd.org/changeset/ports/447131

Log:
  Fix build with Clang 3.4.

  PR:		221173

Changes:
  head/textproc/libstaroffice/files/
  head/textproc/libstaroffice/files/patch-src_lib_libstaroffice__internal.hxx
Comment 10 commit-hook freebsd_committer 2017-08-02 18:01:40 UTC
A commit references this bug:

Author: jkim
Date: Wed Aug  2 18:01:10 UTC 2017
New revision: 447132
URL: https://svnweb.freebsd.org/changeset/ports/447132

Log:
  Fix build with Clang 3.4.

  PR:		221173

Changes:
  head/textproc/libwps/files/
  head/textproc/libwps/files/patch-src_lib_libwps__internal.h
Comment 11 Jung-uk Kim freebsd_committer 2017-08-02 18:03:52 UTC
Committed with minor changes.  Thanks!
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 03:48:32 UTC
Assign to committer that resolved, re-open for MFH
Comment 13 Jung-uk Kim freebsd_committer 2017-08-07 15:33:42 UTC
Quarterly branch does not need patching because it does not have the latest versions.